//
#include<DFRobotHighTemperatureSensor.h>//Librería para obtener el valor de la temperatura del sensor
#include "U8glib.h"//libreriapara el control del display
const float voltageRef = 5.000;       //Fije el voltaje de la referencia
//const float voltageRef = 3.300;
U8GLIB_SH1106_128X64 u8g(U8G_I2C_OPT_NONE);  // I2C / TWI // Se habilita esta linea según el display a a usar en este caso el driver SH1106     
int HighTemperaturePin = A0;  //Setting pin
int temperatura;
DFRobotHighTemperature PT100 = DFRobotHighTemperature(voltageRef); //Define un objeto PT100

void setup(void) {
  Serial.begin(9600);//Velocidad del puerto serial
}

void loop(void) {
  temperature = PT100.readTemperature(HighTemperaturePin);  //Obtenemos la temperatura
  Serial.print("temperatura:  ");
  Serial.print(temperatura);
  Serial.println("  ^C");
  delay(1000); //Se lee el valor de la temperatura cada un segundo
  //--------Muestra en la pantalla el valor obtenido de temepratura-----------------
    u8g.firstPage();  
  do {
    draw();//Llama a la función draw
  } while( u8g.nextPage() );
  // Reconstruir la imagen después de un tiempo
  delay(50);
}

void draw(void) {
  //Imprimimos en pantalla el valor de la temperatura obtenida
  u8g.setFont(u8g_font_unifont);
  u8g.setPrintPos(0, 20); 
  u8g.print("Temperat:");
  u8g.print(temperatura);
  u8g.print("^C");
  }
